Package writer2latex.office

# Class EmbeddedBinaryObject

java.lang.Object
writer2latex.office.EmbeddedObject
writer2latex.office.EmbeddedBinaryObject

public class EmbeddedBinaryObject extends EmbeddedObject
This class represents an embedded object with a binary representation in an ODF package document

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EmbeddedBinaryObject(String sName, String sType, OfficeDocument doc, SimpleZipReader source)`
Package private constructor for use when reading an object from a package ODF file

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose this `EmbeddedObject`.
`byte[]`
`getBinaryData()`
Get the binary data for this object

### Methods inherited from class writer2latex.office.EmbeddedObject

`getName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedBinaryObject

protected EmbeddedBinaryObject(String sName, String sType, OfficeDocument doc, SimpleZipReader source)
Package private constructor for use when reading an object from a package ODF file

Parameters:
  `sName` - The name of the object.
  `sType` - The MIME-type of the object.
  `doc` - The document containing the object.
  `source` - A `SimpleZipReader` containing the object

## Method Details

### getBinaryData

public byte[] getBinaryData()
Get the binary data for this object

Returns:
  A `byte` array containing the object's data.

### dispose

public void dispose()
Description copied from class: `EmbeddedObject`
Dispose this `EmbeddedObject`. This implies that the content is nullified and the object is removed from the collection in the `OfficeDocument`.

Overrides:
  `dispose` in class `EmbeddedObject`